import request from '@/utils/request'

// 分页获取日程提醒列表
export function getScheduleLists(params) {
  return request({
    url: 'messageapi/api/schedulereminder/getlistbypage',
    method: 'get',
    params
  })
}

// 添加日程提醒
export function addBlack(data) {
  return request({
    url: 'messageapi/api/schedulereminder/add',
    method: 'post',
    data
  })
}
// 获取日程提醒
export function getBlack(id) {
  return request({
    url: 'messageapi/api/schedulereminder/getdetailes',
    method: 'get',
    params: {
      id
    }
  })
}

// 编辑日程提醒
export function editBlack(data) {
  return request({
    url: 'messageapi/api/schedulereminder/update',
    method: 'post',
    data
  })
}

// 删除日程提醒
export function deleteBlack(ids) {
  return request({
    url: 'messageapi/api/schedulereminder/delete',
    method: 'post',
    data: {
      ids
    }
  })
}
